API SpecificationIntegration Admin
List integration thumbnail pools
Lists thumbnail parse pools for an integration.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
integrationId?string
Format
uuid[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/ListIntegrationThumbnailPools" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"pools": [
{
"id": "string",
"integrationId": "string",
"name": "string",
"token": "string",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}List integration targets POST
Lists OAuth clients the user has access to, along with their integration status. Optionally filter by application slug.
Regenerate integration API key POST
Generates (or rotates) an API key for the integration. Enables API-key-only write access to the integration's scoped resources. The raw key is returned once.